<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta http-equiv="x-ua-compatible" content="IE=edge"/>
<title>Test results - Class io.gitlab.littlesaints.protean.exchange.MessageExchangesPollTests</title>
<link href="../css/base-style.css" rel="stylesheet" type="text/css"/>
<link href="../css/style.css" rel="stylesheet" type="text/css"/>
<script src="../js/report.js" type="text/javascript"></script>
</head>
<body>
<div id="content">
<h1>Class io.gitlab.littlesaints.protean.exchange.MessageExchangesPollTests</h1>
<div class="breadcrumbs">
<a href="../index.html">all</a> &gt; 
<a href="../packages/io.gitlab.littlesaints.protean.exchange.html">io.gitlab.littlesaints.protean.exchange</a> &gt; MessageExchangesPollTests</div>
<div id="summary">
<table>
<tr>
<td>
<div class="summaryGroup">
<table>
<tr>
<td>
<div class="infoBox" id="tests">
<div class="counter">92</div>
<p>tests</p>
</div>
</td>
<td>
<div class="infoBox" id="failures">
<div class="counter">0</div>
<p>failures</p>
</div>
</td>
<td>
<div class="infoBox" id="ignored">
<div class="counter">0</div>
<p>ignored</p>
</div>
</td>
<td>
<div class="infoBox" id="duration">
<div class="counter">0.268s</div>
<p>duration</p>
</div>
</td>
</tr>
</table>
</div>
</td>
<td>
<div class="infoBox success" id="successRate">
<div class="percent">100%</div>
<p>successful</p>
</div>
</td>
</tr>
</table>
</div>
<div id="tabs">
<ul class="tabLinks">
<li>
<a href="#tab0">Tests</a>
</li>
<li>
<a href="#tab1">Standard output</a>
</li>
</ul>
<div id="tab0" class="tab">
<h2>Tests</h2>
<table>
<thead>
<tr>
<th>Test</th>
<th>Duration</th>
<th>Result</th>
</tr>
</thead>
<tr>
<td class="success">testBatchPollMultiProducersPerformance[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollMultiProducersPerformance[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.005s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollMultiProducersPerformance[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollMultiProducersPerformance[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollPerformance[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollPerformance[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollPerformance[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testBatchPollPerformance[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumerFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumerFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumerFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumerFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumer[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.005s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumer[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.006s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumer[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumer[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumersFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumersFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumersFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumersFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumers[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.017s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumers[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumers[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollAttemptsConsumers[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumerFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumerFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumerFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumerFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumer[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.008s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumer[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumer[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumer[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumersFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumersFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumersFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumersFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.006s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumers[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumers[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumers[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsConsumers[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttemptsFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttempts[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttempts[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttempts[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxAttempts[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMaxFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMax[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMax[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMax[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMax[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttempt[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttempt[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttempt[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttempt[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsAccuracy[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.014s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsAccuracy[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.009s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsAccuracy[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.012s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsAccuracy[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.009s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumerFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumerFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumerFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumerFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumer[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumer[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.005s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumer[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumer[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumersFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.007s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumersFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumersFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumersFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumers[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.016s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumers[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumers[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsConsumers[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsFailure[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsFailure[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsFailure[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPollMinMaxAttemptsFailure[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPoll[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPoll[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPoll[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testPoll[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
</table>
</div>
<div id="tab1" class="tab">
<h2>Standard output</h2>
<span class="code">
<pre>{&quot;time&quot;:&quot;2020-01-01 22:42:37,255&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading io.gitlab.littlesaints.protean.processing.ProcessingTestsResourceLocator$_Registrar@2cacaa07&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,256&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading SimpleContext::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,256&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading SyncExecutor::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,256&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading ProteanResources::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,257&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading LinkedBlockingExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,257&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading LinkedSyncTransferExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,257&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading LinkedTransferExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,258&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading OrderedExecutionExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,258&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading UnOrderedExecutionExchange::Registrar&quot;}
{&quot;time&quot;:&quot;2020-01-01 22:42:37,259&quot;,&quot;level&quot;:&quot;INFO&quot;,&quot;thread&quot;:&quot;Test worker&quot;,&quot;logger&quot;:&quot;io.gitlab.littlesaints.protean.exchange.AbstractMessageExchangesTest&quot;,&quot;log&quot;:&quot;Loading EventCache::Registrar&quot;}
</pre>
</span>
</div>
</div>
<div id="footer">
<p>
<div>
<label class="hidden" id="label-for-line-wrapping-toggle" for="line-wrapping-toggle">Wrap lines
<input id="line-wrapping-toggle" type="checkbox" autocomplete="off"/>
</label>
</div>Generated by 
<a href="http://www.gradle.org">Gradle 4.10</a> at Jan 1, 2020 10:43:41 PM</p>
</div>
</div>
</body>
</html>
